summaryrefslogtreecommitdiff
path: root/app/xlockmore/etc/xlock.sh
diff options
context:
space:
mode:
authorMatthieu Herrb <matthieu@cvs.openbsd.org>2006-11-26 11:09:41 +0000
committerMatthieu Herrb <matthieu@cvs.openbsd.org>2006-11-26 11:09:41 +0000
commit95c2d1cbda23a41cdf6e63520c7f0b825e63dd5b (patch)
tree06d3ffa4312e568c4157f69fe1bddaddec9bc497 /app/xlockmore/etc/xlock.sh
parent3928433848e2d6a9356f3d438a14b32a4f87f660 (diff)
Importing xlockmore 5.22
Diffstat (limited to 'app/xlockmore/etc/xlock.sh')
-rw-r--r--app/xlockmore/etc/xlock.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/app/xlockmore/etc/xlock.sh b/app/xlockmore/etc/xlock.sh
new file mode 100644
index 000000000..422b25212
--- /dev/null
+++ b/app/xlockmore/etc/xlock.sh
@@ -0,0 +1,10 @@
+#!/bin/sh -
+# Wrapper script to get better performance
+# by Tim Auckland <tda10.geo@yahoo.com>
+# It simply suspends all netscape and JAVA applications and resumes them
+# once xlock exits. These applications poll when idle and that is quite
+# inconsiderate when you need all the cycles you can get for a good
+# screensaver.
+jobs=`ps -u $USER| awk '/jre/||/netscape/{print $1}'`
+[ -n "$jobs" ] && trap 'kill -CONT $jobs' 0 1 2 14 15 && kill -STOP $jobs
+/usr/local/bin/xlock "$@"